summaryrefslogtreecommitdiffstats
path: root/autogen
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>1999-03-19 22:01:26 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>1999-03-19 22:01:26 +0000
commite619c2895b9109b5008eac9244bfb6719d39ea9b (patch)
treeeb4764c751d852661ac109cd6f39b94262f12261 /autogen
parent9ec964784bf2091673a83241ab113f422b1f84d8 (diff)
downloadrtems-e619c2895b9109b5008eac9244bfb6719d39ea9b.tar.bz2
Towards automake IX patch from Ralf Corsepius <corsepiu@faw.uni-ulm.de>:
This is the next step towards automake: * Two scripts for the toplevel directory: a) "autogen" (Idea borrowed from libtool and gnome) A helper script to recursively regenerate autoconf/automake/aclocal generated files (Still not perfect but sufficient). b) "missing" (from automake-cvs archive). This file normally is automatically generated by automake, but we have to manually add it until we add automake support to the toplevel configure script. "chmod 755 missing autogen" after applying the patch. * Changing the toplevel installation directory [ I can hear you falling off the chair ;-] Until now rtems installed itself to $(prefix)/rtems. This is in contradiction to automake and GNU/FSF/Cygnus conventions. With this patch applied, rtems installs into $(prefix). To achieve the old behaviour simply configure with --prefix=<install-dir>/rtems instead of --prefix=<install-dir> This is a widely visible change and I can understand if you don't like it at the present point. It enables us to use automake's default installation paths instead of having to set up installation paths manually. At the moment this doesn't help much, but in the not so far future this would enable us to mix cpu-only dependent libraries into the host's cross-compiler library and header files into newlib's include directories, tools into the toolchain directories etc. I would recommend to change the main installation directory, however it's up to you to draw the final design decision.
Diffstat (limited to 'autogen')
-rw-r--r--autogen59
1 files changed, 59 insertions, 0 deletions
diff --git a/autogen b/autogen
new file mode 100644
index 0000000000..71d4851715
--- /dev/null
+++ b/autogen
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# $Id$
+
+# helps bootstrapping, when checked out from CVS
+# requires GNU autoconf and GNU automake
+
+# this is not meant to be exported outside the source tree
+
+# NOTE: Inspired by libtool's autogen script
+
+# to be run from the toplevel directory of RTEMS'
+# source tree
+
+progname=`basename $0`
+am_verbose="";
+quiet="false"
+
+usage()
+{
+ echo "${progname} [-v|-q]"
+ exit 1;
+}
+
+while test $# -gt 0; do
+case $1 in
+-q|--qu|--qui|--quie|--quiet)
+ quiet="true";
+ shift;;
+-v|--ve|--ver|--verb|--verbo|--verbos|--verbose)
+ verbose="-v";
+ shift;;
+-*) echo "unknown option $1" ;
+ usage ;;
+*) echo "invalid parameter $1" ;
+ usage ;;
+esac
+done
+
+if test ! -d aclocal; then
+ echo "${progname}"
+ echo " Please change directory to RTEMS's toplevel directory"
+ exit 1;
+fi
+
+pwd=`pwd`;
+confs=`find $pwd -name configure.in`
+
+aclocal_dir=$pwd/aclocal
+for i in $confs; do
+dir=`dirname $i`;
+( test "$quiet" = "true" || echo "$dir";
+ cd $dir;
+ aclocal -I $aclocal_dir;
+ autoconf;
+ test -f Makefile.am && automake $verbose ;
+)
+done
+